Entur Developer
Ticket Distributions

PDF Tickets

Server

Services for generating and sending pdf tickets.


Search generated and distributed ticket PDFs

GET
https://api.staging.entur.io/sales
/v1/pdf-tickets

Searches generated and distributed ticket PDFs. Query parameters support operators eq, ne, gt, gte, lt, lte, in, and nin. Defaults to eq if no operator is given. At least one search parameter is required.

Search generated and distributed ticket PDFs › query Parameters

id
​string[] · style: form · explode: true

PDF ticket id

Example: ["1234"]
Default: []
orderId
​string[] · style: form · explode: true

Filters by order ID

Example: ["NTA2JGR7"]
Default: []
orderLineId
​string[] · style: form · explode: true

Filters by order line ID

Example: ["26b02145-7dbf-4be9-8600-ff4a570d83d5"]
Default: []
organisationId
​string[] · style: form · explode: true

Filters by organisation if the user has correct privileges

Example: ["1"]
Default: []
ticketDistributionId
​string[] · style: form · explode: true

Filters by ticket distribution id

Example: ["1234"]
Default: []
page
​integer · int32 · style: form · explode: true

Selects a specific page in the collection

Example: 2
Default: 1
perPage
​integer · int32 · max: 100 · style: form · explode: true

Specifies the number of entries returned in a page. Maximum allowed value is 100.

Example: 20
Default: 30

Search generated and distributed ticket PDFs › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Search generated and distributed ticket PDFs › Responses

OK

Page displays a subset of a list of entities
​PdfTicket[] · readOnly · required

Items on a specific page

totalItems
​integer · int64 · readOnly · required

Total number of items

Example: 72
totalPages
​integer · int64 · readOnly · required

Total number of pages available to browse

Example: 9

deprecated

Deprecated. Please use /v1/pdf-tickets/{orderId}

POST
https://api.staging.entur.io/sales
/v1/pdf-tickets/{orderId}/createOrGet

Creates or gets PDFs with valid tickets. Returns PDFs with qr codes. If a PDF is not created, but found, then the language parameter is irrelevant. PDFs can later be sent by email.

Deprecated. Please use /v1/pdf-tickets/{orderId} › path Parameters

orderId
​string · required · style: simple

orderId

Example: NTA2JGR7

Deprecated. Please use /v1/pdf-tickets/{orderId} › Headers

Entur-Pos
​string · required · style: simple

A header containing a point-of-sale reference

Example: MyApplication
ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Deprecated. Please use /v1/pdf-tickets/{orderId} › Request Body

Request for generating and sending pdf-ticket by email
pdfLanguage
​LanguageCode · enum · required

Desired language. Makes display text appear in defined language - if available. Default: nob

Enum values:
nob
nno
eng
Default: nob
orderVersion
​integer · int32 · required

Desired version of the order that is going to be distributed as a pdf-ticket. Default: 1

Default: 1

Array of names and ticketDistributionIds of travellers. These names will overwrite existing traveller names on the ticket if the order line does not include any entitlements.

Default: []
shouldGroupTravellers
​boolean

Flag to indicate that PDF tickets are grouped together for travellers with the same journey.

Default: true
orderLineIds
​string[]

List of orderLineIds to include in the pdf-ticket. If unspecified, all order lines for the given order version will be included.

Deprecated. Please use /v1/pdf-tickets/{orderId} › Responses

OK

combinedTicket
​boolean · required
deleteAt
​string · date-time · required
orderId
​string · required
orderLineId
​string · required
orderLineVersion
​integer · int32 · required
orderVersion
​integer · int32 · required
pdf
​string · pattern: ^(?:[A-Za-z0-9+/]{4}… · required
ticketDistributionId
​integer · int64 · required
id
​integer · int64
organisationId
​integer · int64

Create PDF

POST
https://api.staging.entur.io/sales
/v1/pdf-tickets/{orderId}

Creates or gets PDFs with valid tickets. Returns PDFs with qr codes. If a PDF is not created, but found, then the language parameter is irrelevant. PDFs can later be sent by email.

Create PDF › path Parameters

orderId
​string · required · style: simple

orderId

Example: NTA2JGR7

Create PDF › Headers

Entur-Pos
​string · required · style: simple

A header containing a point-of-sale reference

Example: MyApplication
ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Create PDF › Request Body

Request for generating and sending pdf-ticket by email
pdfLanguage
​LanguageCode · enum · required

Desired language. Makes display text appear in defined language - if available. Default: nob

Enum values:
nob
nno
eng
Default: nob
orderVersion
​integer · int32 · required

Desired version of the order that is going to be distributed as a pdf-ticket. Default: 1

Default: 1

Array of names and ticketDistributionIds of travellers. These names will overwrite existing traveller names on the ticket if the order line does not include any entitlements.

Default: []
shouldGroupTravellers
​boolean

Flag to indicate that PDF tickets are grouped together for travellers with the same journey.

Default: true
orderLineIds
​string[]

List of orderLineIds to include in the pdf-ticket. If unspecified, all order lines for the given order version will be included.

Create PDF › Responses

OK

combinedTicket
​boolean · required
deleteAt
​string · date-time · required
orderId
​string · required
orderLineId
​string · required
orderLineVersion
​integer · int32 · required
orderVersion
​integer · int32 · required
pdf
​string · pattern: ^(?:[A-Za-z0-9+/]{4}… · required
ticketDistributionId
​integer · int64 · required
id
​integer · int64
organisationId
​integer · int64

Send PDF

POST
https://api.staging.entur.io/sales
/v1/pdf-tickets/{orderId}/send

Sends an email containing PDFs with valid tickets

Send PDF › path Parameters

orderId
​string · required · style: simple

orderId

Example: NTA2JGR7

Send PDF › Headers

Entur-Pos
​string · required · style: simple

A header containing a point-of-sale reference

Example: MyApplication
ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Send PDF › Request Body

Request for generating and sending pdf-ticket by email
pdfLanguage
​LanguageCode · enum · required

Desired language. Makes display text appear in defined language - if available. Default: nob

Enum values:
nob
nno
eng
Default: nob
orderVersion
​integer · int32 · required

Desired version of the order that is going to be distributed as a pdf-ticket. Default: 1

Default: 1
email
​string · required

Email-address for the receiver of pdf-ticket

Array of names and ticketDistributionIds of travellers. These names will overwrite existing traveller names on the ticket if the order line does not include any entitlements.

Default: []
shouldGroupTravellers
​boolean

Flag to indicate that PDF tickets are grouped together for travellers with the same journey.

Default: true
orderLineIds
​string[]

List of orderLineIds to include in the pdf-ticket. If unspecified, all order lines for the given order version will be included.

Send PDF › Responses

OK

body
​string · required
​EmailAddress · required
subject
​string · required
​EmailAddress[] · required

Did you find what you were looking for?